#
# Conditional build:
%bcond_without	doc	# Documentation

%define		orgname		qtgraphicaleffects
%define		qtbase_ver		%{version}
%define		qtdeclarative_ver	%{version}
%define		qttools_ver		%{version}
Summary:	The Qt5 Graphical Effects module
Summary(pl.UTF-8):	Moduł Qt5 Graphical Effects
Name:		qt5-%{orgname}
Version:	5.15.17
Release:	1
License:	LGPL v3 or GPL v2 or GPL v3 or commercial
Group:		X11/Libraries
Source0:	https://download.qt.io/official_releases/qt/5.15/%{version}/submodules/%{orgname}-everywhere-opensource-src-%{version}.tar.xz
# Source0-md5:	446b091a73ed109ba9e2acef9129d009
URL:		https://www.qt.io/
BuildRequires:	Qt5Core-devel >= %{qtbase_ver}
BuildRequires:	Qt5Gui-devel >= %{qtbase_ver}
BuildRequires:	Qt5Qml-devel >= %{qtdeclarative_ver}
BuildRequires:	Qt5Quick-devel >= %{qtdeclarative_ver}
%if %{with doc}
BuildRequires:	qt5-assistant >= %{qttools_ver}
%endif
BuildRequires:	qt5-qtdeclarative >= %{qtdeclarative_ver}
BuildRequires:	qt5-build >= %{qtbase_ver}
BuildRequires:	qt5-qmake >= %{qtbase_ver}
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 2.016
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing
%define		qt5dir		%{_libdir}/qt5

%description
Qt is a cross-platform application and UI framework. Using Qt, you can
write web-enabled applications once and deploy them across desktop,
mobile and embedded systems without rewriting the source code.

This package contains Qt5 Graphical Effects module.

%description -l pl.UTF-8
Qt to wieloplatformowy szkielet aplikacji i interfejsów użytkownika.
Przy użyciu Qt można pisać aplikacje powiązane z WWW i wdrażać je w
systemach biurkowych, przenośnych i wbudowanych bez przepisywania kodu
źródłowego.

Ten pakiet zawiera moduł Qt5 Graphical Effects.

%package -n Qt5Quick-graphicaleffects
Summary:	Qt5 Graphical Effects module for Qt5Quick library
Summary(pl.UTF-8):	Moduł Qt5 Graphical Effects dla biblioteki Qt5Quick
Group:		X11/Libraries
Requires:	Qt5Core >= %{qtbase_ver}
Requires:	Qt5Gui >= %{qtbase_ver}
Requires:	Qt5Qml >= %{qtdeclarative_ver}
Requires:	Qt5Quick >= %{qtdeclarative_ver}
Obsoletes:	qt5-qtgraphicaleffects < 5.3.0

%description -n Qt5Quick-graphicaleffects
The Qt Graphical Effects module for Qt5Quick provides a set of QML
types for adding visually impressive and configurable effects to user
interfaces. Effects are visual items that can be added to Qt Quick
user interface as UI components.

%description -n Qt5Quick-graphicaleffects -l pl.UTF-8
Moduł Qt Graphical Effects dla biblioteki Qt5Quick udostępnia zbiór
typów QML do dodawania robiących wrażenie, konfigurowalnych efektów
wizualnych do interfejsów użytkownika. Efekty to elementy wizualne,
które można dodać do interfejsu użytkownika jako komponenty UI.

%package doc
Summary:	Qt5 Graphical Effects documentation in HTML format
Summary(pl.UTF-8):	Dokumentacja do modułów Qt5 Graphical Effects w formacie HTML
Group:		Documentation
Requires:	qt5-doc-common >= %{qtbase_ver}
BuildArch:	noarch

%description doc
Qt5 Graphical Effects documentation in HTML format.

%description doc -l pl.UTF-8
Dokumentacja do modułów Qt5 Graphical Effects w formacie HTML.

%package doc-qch
Summary:	Qt5 Graphical Effects documentation in QCH format
Summary(pl.UTF-8):	Dokumentacja do modułów Qt5 Graphical Effects w formacie QCH
Group:		Documentation
Requires:	qt5-doc-common >= %{qtbase_ver}
BuildArch:	noarch

%description doc-qch
Qt5 Graphical Effects documentation in QCH format.

%description doc-qch -l pl.UTF-8
Dokumentacja do modułów Qt5 Graphical Effects w formacie QCH.

%prep
%setup -q -n %{orgname}-everywhere-src-%{version}

%build
%{qmake_qt5}
%{__make}
%{?with_doc:%{__make} docs}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%if %{with doc}
%{__make} install_docs \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -n Qt5Quick-graphicaleffects
%defattr(644,root,root,755)
%doc dist/changes-*
%dir %{qt5dir}/qml/QtGraphicalEffects
# R: Core Qml
%attr(755,root,root) %{qt5dir}/qml/QtGraphicalEffects/libqtgraphicaleffectsplugin.so
%{qt5dir}/qml/QtGraphicalEffects/plugins.qmltypes
%{qt5dir}/qml/QtGraphicalEffects/qmldir
%{qt5dir}/qml/QtGraphicalEffects/*.qml
%dir %{qt5dir}/qml/QtGraphicalEffects/private
# R: Core Gui Qml Quick
%attr(755,root,root) %{qt5dir}/qml/QtGraphicalEffects/private/libqtgraphicaleffectsprivate.so
%{qt5dir}/qml/QtGraphicalEffects/private/qmldir
%{qt5dir}/qml/QtGraphicalEffects/private/*.qml
%{qt5dir}/qml/QtGraphicalEffects/private/*.qmlc

%if %{with doc}
%files doc
%defattr(644,root,root,755)
%{_docdir}/qt5-doc/qtgraphicaleffects

%files doc-qch
%defattr(644,root,root,755)
%{_docdir}/qt5-doc/qtgraphicaleffects.qch
%endif
%changelog
* Sun May 25 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qt5-qtgraphicaleffects.git;a=log;h=master

* Fri May 23 2025 Jan Palus <atler@pld-linux.org> d86c9f5
- up to 5.15.17

* Mon Nov 18 2024 Jan Palus <atler@pld-linux.org> efb0ef6
- up to 5.15.16

* Sat Aug 31 2024 Jan Palus <atler@pld-linux.org> 4074c2d
- up to 5.15.15

* Sun May 26 2024 Jan Palus <atler@pld-linux.org> 3f4dd80
- up to 5.15.14

* Sat Mar 09 2024 Jan Palus <atler@pld-linux.org> 33b5116
- up to 5.15.13

* Fri Dec 22 2023 Jan Palus <atler@pld-linux.org> 80bbc1f
- up to 5.15.12

* Thu Oct 05 2023 Jan Palus <atler@pld-linux.org> 02e3468
- up to 5.15.11

* Wed Jun 07 2023 Jan Palus <atler@pld-linux.org> c2f71cc
- up to 5.15.10

* Thu Apr 06 2023 Jan Palus <atler@pld-linux.org> 0f43304
- up to 5.15.9

* Wed Jan 04 2023 Jan Palus <atler@pld-linux.org> 8c10b0b
- up to 5.15.8

* Fri Oct 28 2022 Jan Palus <atler@pld-linux.org> dc43882
- up to 5.15.7

* Thu Sep 08 2022 Jan Palus <atler@pld-linux.org> 49f8a47
- up to 5.15.6

* Mon Jun 27 2022 Jakub Bogusz <qboosh@pld-linux.org> 3a6bcb8
- updated to 5.15.5

* Thu May 12 2022 Jan Palus <atler@pld-linux.org> d4b6fb0
- use macro for qmake invocation

* Thu May 12 2022 Jan Palus <atler@pld-linux.org> 47e0139
- rpm version for noarch subpackage

* Thu May 12 2022 Jan Palus <atler@pld-linux.org> 710dccd
- updated source url to https

* Thu May 12 2022 Jan Palus <atler@pld-linux.org> 4444d81
- up to 5.15.4

* Sun Mar 07 2021 Jan Rękorajski <baggins@pld-linux.org> 152ce0a
- unconditional noarch subpackages

* Mon Dec 28 2020 Jakub Bogusz <qboosh@pld-linux.org> af6f504
- use versioned Obsoletes for qt5-qtgraphicaleffects

* Mon Dec 28 2020 Jakub Bogusz <qboosh@pld-linux.org> 7e5514f
- updated dependencies, noarch rules, licensing information

